## node-assert-plus 1.0.0

=== Makefile ===
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

#
# Copyright 2015, Joyent, Inc.
#

NPM = npm

JS_FILES	:= $(shell find assert.js tests/ -name '*.js')

JSL_CONF	 = tools/jsl.node.conf
JSSTYLE_FLAGS	 = -f tools/jsstyle.conf

JSL_EXEC	?= deps/javascriptlint/build/install/jsl
JSSTYLE_EXEC	?= deps/jsstyle/jsstyle
JSL		?= $(JSL_EXEC)
JSSTYLE		?= $(JSSTYLE_EXEC)

.PHONY: install
install:
	$(NPM) install

.PHONY: clean
clean:
	rm -rf node_modules coverage

.PHONY: test
test: install
	npm test

.PHONY: check
check: $(JSL_EXEC) $(JSSTYLE_EXEC)
	$(JSL) --conf $(JSL_CONF) $(JS_FILES)
	$(JSSTYLE) $(JSSTYLE_FLAGS) $(JS_FILES)

.PHONY: prepush
prepush: check test


$(JSL_EXEC): | deps/javascriptlint/.git
	cd deps/javascriptlint && make install

$(JSSTYLE_EXEC): | deps/jsstyle/.git

.SECONDARY: $($(wildcard deps/*):%=%/.git)

deps/%/.git:
	git submodule update --init deps/$*

=== debian/changelog ===
node-assert-plus (1.0.0-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Use pkg-js-tools auto install
  * Enable upstream test using tape
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf

 -- Xavier Guimard <yadd@debian.org>  Wed, 19 Feb 2020 14:27:10 +0100

node-assert-plus (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #850139)

 -- Saurabh Agrawal <saurabhagrawal1483@gmail.com>  Wed, 04 Jan 2017 10:27:35 +0000

=== debian/control ===
Source: node-assert-plus
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Saurabh Agrawal <saurabhagrawal1483@gmail.com>
Build-Depends: debhelper-compat (= 12)
 , node-tape <!nocheck>
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-assert-plus
Vcs-Git: https://salsa.debian.org/js-team/node-assert-plus.git
Homepage: https://github.com/mcavage/node-assert-plus
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-assert-plus
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Description: small wrapper over nodejs' assert module with two extra features
 This library is a super small wrapper over node's assert module that has two
 things:
 (1) the ability to disable assertions with the environment variable
 NODE_NDEBUG, and
 (2) some API wrappers for argument testing. Like assert.string(myArg, 'myArg')
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_build:

override_dh_auto_test:

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-assert-plus-$1.tar.gz/ \
 https://github.com/mcavage/node-assert-plus/tags .*/archive/v?([\d\.]+).tar.gz
